Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 11.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
FormStateInterface::getLimitValidationErrors function core/lib/Drupal/Core/Form/FormStateInterface.php Retrieves the limited validation error sections.
FormStateInterface::getRebuildInfo function core/lib/Drupal/Core/Form/FormStateInterface.php Gets the rebuild info.
FormStateInterface::getRedirect function core/lib/Drupal/Core/Form/FormStateInterface.php Gets the value to use for redirecting after the form has been executed.
FormStateInterface::getResponse function core/lib/Drupal/Core/Form/FormStateInterface.php Gets a response for this form.
FormStateInterface::getStorage function core/lib/Drupal/Core/Form/FormStateInterface.php Returns the entire set of arbitrary data.
FormStateInterface::getSubmitHandlers function core/lib/Drupal/Core/Form/FormStateInterface.php Gets the submit handlers.
FormStateInterface::getTemporary function core/lib/Drupal/Core/Form/FormStateInterface.php Gets temporary data.
FormStateInterface::getTemporaryValue function core/lib/Drupal/Core/Form/FormStateInterface.php Gets an arbitrary value from temporary storage.
FormStateInterface::getTriggeringElement function core/lib/Drupal/Core/Form/FormStateInterface.php Gets the form element that triggered submission.
FormStateInterface::getUserInput function core/lib/Drupal/Core/Form/FormStateInterface.php Returns the form values as they were submitted by the user.
FormStateInterface::getValidateHandlers function core/lib/Drupal/Core/Form/FormStateInterface.php Gets the validate handlers.
FormStateInterface::getValue function core/lib/Drupal/Core/Form/FormStateInterface.php Returns the submitted form value for a specific key.
FormStateInterface::getValues function core/lib/Drupal/Core/Form/FormStateInterface.php Returns the submitted and sanitized form values.
FormStateInterface::has function core/lib/Drupal/Core/Form/FormStateInterface.php Determines if a property is present in the form state storage.
FormStateInterface::hasAnyErrors function core/lib/Drupal/Core/Form/FormStateInterface.php Determines if any forms have any errors.
FormStateInterface::hasFileElement function core/lib/Drupal/Core/Form/FormStateInterface.php Returns whether this form has a file element.
FormStateInterface::hasInvalidToken function core/lib/Drupal/Core/Form/FormStateInterface.php Determines if the form has an invalid token.
FormStateInterface::hasTemporaryValue function core/lib/Drupal/Core/Form/FormStateInterface.php Determines if a temporary value is present.
FormStateInterface::hasValue function core/lib/Drupal/Core/Form/FormStateInterface.php Determines if a specific key is present in the submitted form values.
FormStateInterface::isBypassingProgrammedAccessChecks function core/lib/Drupal/Core/Form/FormStateInterface.php Determines if this form submission should bypass #access.
FormStateInterface::isCached function core/lib/Drupal/Core/Form/FormStateInterface.php Determines if the form should be cached.
FormStateInterface::isExecuted function core/lib/Drupal/Core/Form/FormStateInterface.php Determines if the form was submitted and has been processed and executed.
FormStateInterface::isMethodType function core/lib/Drupal/Core/Form/FormStateInterface.php Returns the HTTP form method.
FormStateInterface::isProcessingInput function core/lib/Drupal/Core/Form/FormStateInterface.php Determines if the form input will be processed.
FormStateInterface::isProgrammed function core/lib/Drupal/Core/Form/FormStateInterface.php Returns if this form was submitted programmatically.
FormStateInterface::isRebuilding function core/lib/Drupal/Core/Form/FormStateInterface.php Determines if the form should be rebuilt after processing.
FormStateInterface::isRedirectDisabled function core/lib/Drupal/Core/Form/FormStateInterface.php Determines if redirecting has been prevented.
FormStateInterface::isSubmitted function core/lib/Drupal/Core/Form/FormStateInterface.php Determines if the form has been submitted.
FormStateInterface::isValidationComplete function core/lib/Drupal/Core/Form/FormStateInterface.php Determines if validation has been completed.
FormStateInterface::isValidationEnforced function core/lib/Drupal/Core/Form/FormStateInterface.php Checks if validation is enforced.
FormStateInterface::isValueEmpty function core/lib/Drupal/Core/Form/FormStateInterface.php Determines if a specific key has a value in the submitted form values.
FormStateInterface::loadInclude function core/lib/Drupal/Core/Form/FormStateInterface.php Ensures an include file is loaded whenever the form is processed.
FormStateInterface::prepareCallback function core/lib/Drupal/Core/Form/FormStateInterface.php Converts support notations for a form callback to a valid callable.
FormStateInterface::set function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the value for a property in the form state storage.
FormStateInterface::setAlwaysProcess function core/lib/Drupal/Core/Form/FormStateInterface.php Sets this form to always be processed.
FormStateInterface::setBuildInfo function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the build info for the form.
FormStateInterface::setButtons function core/lib/Drupal/Core/Form/FormStateInterface.php Stores the submit and button elements for the form.
FormStateInterface::setCached function core/lib/Drupal/Core/Form/FormStateInterface.php Sets this form to be cached.
FormStateInterface::setCleanValueKeys function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the keys of the form values that will be cleaned.
FormStateInterface::setCompleteForm function core/lib/Drupal/Core/Form/FormStateInterface.php Stores the complete form array.
FormStateInterface::setError function core/lib/Drupal/Core/Form/FormStateInterface.php Flags an element as having an error.
FormStateInterface::setErrorByName function core/lib/Drupal/Core/Form/FormStateInterface.php Files an error against a form element.
FormStateInterface::setExecuted function core/lib/Drupal/Core/Form/FormStateInterface.php Sets that the form was submitted and has been processed and executed.
FormStateInterface::setFormObject function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the form object that is responsible for building this form.
FormStateInterface::setFormState function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the value of the form state.
FormStateInterface::setGroups function core/lib/Drupal/Core/Form/FormStateInterface.php Sets references to details elements to render them within vertical tabs.
FormStateInterface::setHasFileElement function core/lib/Drupal/Core/Form/FormStateInterface.php Sets that this form has a file element.
FormStateInterface::setIgnoreDestination function core/lib/Drupal/Core/Form/FormStateInterface.php Determines whether the redirect respects the destination query parameter.
FormStateInterface::setInvalidToken function core/lib/Drupal/Core/Form/FormStateInterface.php Flags the form state as having or not an invalid token.
FormStateInterface::setLimitValidationErrors function core/lib/Drupal/Core/Form/FormStateInterface.php Sets the limited validation error sections.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.